## class EditWindow : public MainWindow

> (abstract) main window class common to all editors.

## Inheritance:

### Public Classes

  enum | ScreenType most common screen sizes.

### Public Methods

  | EditWindow (const char *name)
  virtual | ~EditWindow ()
  const char* | GetClassName ()
  void | Manage ()
  void | SetStatus (const char *message) set text field of status area to message
  void | SetStatus (const string *message)
  void | SetDocumentName (const char *s) set text field of document name to s
  void | SetDocumentName (const string *s)
  void | SetDocumentType (const char *s) set text field of document type to s
  void | SetDocumentType (const string *s)
  void | SetDocumentLevel (const char *s)
  void | SetDocumentLevel (const string *s)
  void | SetDirName (const char *s) set text field of directory name to s
  void | SetDirName (const string *s)
  void | SetModified (bool set) set/reset modified toggle
  virtual void | SetUndoName (const char *s) sets name of edit undo menu item.
  virtual void | SetRedoName (const char *s) sets name of edit redo menu item.
  virtual void | EnableUndo (bool flag) enables edit undo menu item.
  virtual void | EnableRedo (bool flag) enables edit redo menu item.
  virtual void | EnableDocumentSource (bool) enable show document source menu item.
  bool | IsDoMap ()
  Menu* | GetFileMenu ()
  Menu* | GetEditMenu ()
  Menu* | GetPrintMenu ()
  Menu* | GetHelpMenu ()
  Menu* | GetViewMenu ()
  Menu* | GetSearchMenu ()
  Menu* | GetPropertiesMenu ()
  MenuItem* | GetPopupEditItems ()
  void | SetPageSubMenuItem (const char *text, int n) set toggles in submenu of page menu.
  void | SetPageMenuItem (const char *text, bool b) set toggle in page menu.

### Protected Fields

  Menu* | fileMenu
  Menu* | editMenu
  Menu* | printMenu
  Menu* | pageMenu
  Menu* | viewMenu
  Menu* | propertiesMenu
  Menu* | helpMenu
  Menu* | searchMenu
  MenuItem* | popupEditItems
  MenuItem* | fileItems
  MenuItem* | editItems
  MenuItem* | viewItems
  MenuItem* | bannerPageItems
  MenuItem* | printItems
  MenuItem* | searchItems
  MenuItem* | propertiesItems
  MenuItem* | printerOptionsItems
  MenuItem* | helpItems
  MenuItem* | pageOrientationItems
  MenuItem* | pageSizeItems
  MenuItem* | pageItems

### Protected Methods

  Document* | GetDocument ()
  void | SetDocument (Document *d)
  Printer* | GetPrinter ()
  Helper* | GetHelper ()
  int | GetArgsLeft ()
  void | SetArgsLeft (int n)
  ScreenType | GetScreenType ()
  bool | IsDoLoad ()
  void | SetDoLoad (bool b)
  void | SetLoadFile (const char *s)
  Widget | GetMenuBar ()
  void | SetMenuBar (Widget w)
  Widget | GetDocumentArea ()
  void | SetDocumentArea (Widget w)
  Widget | GetStatusArea ()
  void | SetStatusArea (Widget w)
  Widget | GetControlArea ()
  void | SetControlArea (Widget w)
  Widget | GetLogo ()
  void | SetLogo (Widget w)
  Widget | GetDirName ()
  void | SetDirName (Widget w)
  void | ParseUserOptions (int argc, char **argv) parse user options.
  Widget | CreateWorkArea (Widget parent, int argc, char **argv) create the work area of a document window widget (a frame).
  virtual Widget | CreateMenuBar (Widget parent)
  virtual Widget | CreateLogo (Widget parent)
  virtual Widget | CreateDocumentArea (Widget parent)
  virtual Widget | CreateStatusArea (Widget parent)
  virtual Widget | CreateControlArea (Widget parent)
  Widget | CreateToggle (Widget parent, const char *label, bool Init, XtCallbackProc fun, XtPointer clientData)
  void | Finalize ()
  virtual void | InitMenuItems ()
  virtual void | WriteUsage (const char *s)

### Inherited from MainWindow:

### Public Methods

virtual void Initialize(int argc, char** argv, Config *config)
virtual void Unmanage()
virtual void Iconify()
void ManageUnmapped()
void Close()
void SetTitle(const char *title)
void SetTitle(const string *title)
void SetIconName(const char *name)
void SetIconPixmap(Pixmap px)
void SetCursor(int cursorNum)
void SetSizeCursor(int cursorNum)
virtual int GetTool()
PrinterOptions* GetPrinterOptions()

### Protected Methods

virtual void CreateComponents(Widget window)
MouseCursor* GetCursor()
Config* GetConfig()

### Inherited from MWidget:

### Public Methods

bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> (abstract) main window class common to all editors.

`EditWindow(const char *name)`

`virtual ~EditWindow()`

`const char* GetClassName()`

`void Manage()`

`enum ScreenType`
  most common screen sizes.

`void SetStatus(const char *message)`
  set text field of status area to message

`void SetStatus(const string *message)`

`void SetDocumentName(const char *s)`
  set text field of document name to s

`void SetDocumentName(const string *s)`

`void SetDocumentType(const char *s)`
  set text field of document type to s

`void SetDocumentType(const string *s)`

`void SetDocumentLevel(const char *s)`

`void SetDocumentLevel(const string *s)`

`void SetDirName(const char *s)`
  set text field of directory name to s

`void SetDirName(const string *s)`

`void SetModified(bool set)`
  set/reset modified toggle

`virtual void SetUndoName(const char *s)`
  sets name of edit undo menu item.

`virtual void SetRedoName(const char *s)`
  sets name of edit redo menu item.

`virtual void EnableUndo(bool flag)`
  enables edit undo menu item.

`virtual void EnableRedo(bool flag)`
  enables edit redo menu item.

`virtual void EnableDocumentSource(bool)`
  enable show document source menu item.

`bool IsDoMap()`

`Menu* GetFileMenu()`

`Menu* GetEditMenu()`

`Menu* GetPrintMenu()`

`Menu* GetHelpMenu()`

`Menu* GetViewMenu()`

`Menu* GetSearchMenu()`

`Menu* GetPropertiesMenu()`

`MenuItem* GetPopupEditItems()`

`void SetPageSubMenuItem(const char *text, int n)`
  set toggles in submenu of page menu.

`void SetPageMenuItem(const char *text, bool b)`
  set toggle in page menu.

`Document* GetDocument()`

`void SetDocument(Document *d)`

`Printer* GetPrinter()`

`Helper* GetHelper()`

`int GetArgsLeft()`

`void SetArgsLeft(int n)`

`ScreenType GetScreenType()`

`bool IsDoLoad()`

`void SetDoLoad(bool b)`

`void SetLoadFile(const char *s)`

`Widget GetMenuBar()`

`void SetMenuBar(Widget w)`

`Widget GetDocumentArea()`

`void SetDocumentArea(Widget w)`

`Widget GetStatusArea()`

`void SetStatusArea(Widget w)`

`Widget GetControlArea()`

`void SetControlArea(Widget w)`

`Widget GetLogo()`

`void SetLogo(Widget w)`

`Widget GetDirName()`

`void SetDirName(Widget w)`

`void ParseUserOptions(int argc, char **argv)`
  parse user options.

`Widget CreateWorkArea(Widget parent, int argc, char **argv)`
  create the work area of a document window widget (a frame).

`virtual Widget CreateMenuBar(Widget parent)`

`virtual Widget CreateLogo(Widget parent)`

`virtual Widget CreateDocumentArea(Widget parent)`

`virtual Widget CreateStatusArea(Widget parent)`

`virtual Widget CreateControlArea(Widget parent)`

`Widget CreateToggle(Widget parent, const char *label, bool Init, XtCallbackProc fun, XtPointer clientData)`

`void Finalize()`

`virtual void InitMenuItems()`

`Menu* fileMenu`

`Menu* editMenu`

`Menu* printMenu`

`Menu* pageMenu`

`Menu* viewMenu`

`Menu* propertiesMenu`

`Menu* helpMenu`

`Menu* searchMenu`

`MenuItem* popupEditItems`

`MenuItem* fileItems`

`MenuItem* editItems`

`MenuItem* viewItems`

`MenuItem* bannerPageItems`

`MenuItem* printItems`

`MenuItem* searchItems`

`MenuItem* propertiesItems`

`MenuItem* printerOptionsItems`

`MenuItem* helpItems`

`MenuItem* pageOrientationItems`

`MenuItem* pageSizeItems`

`MenuItem* pageItems`

`virtual void WriteUsage(const char *s)`

Direct child classes:
  DrawWindow

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de